curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/reservations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"billing_status": "<string>",
"billing_tag": "<string>",
"billing_idempotency_key": "<string>",
"action_key": "<string>",
"amount": 123,
"currency": "<string>",
"released_reason": "<string>",
"charge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"oauth_application_id": 123,
"oauth_authorized_business_id": 123,
"merchant_business_id": 123,
"developer_business_id": 123
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Requires business auth with business:manage_developer_settings.
curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/reservations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"billing_status": "<string>",
"billing_tag": "<string>",
"billing_idempotency_key": "<string>",
"action_key": "<string>",
"amount": 123,
"currency": "<string>",
"released_reason": "<string>",
"charge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"capture_context": {
"application_id": 123,
"application_name": "<string>",
"billing_tag": "<string>",
"action_key": "<string>",
"action_label": "<string>",
"reservation_id": "<string>",
"charge_id": "<string>",
"request_id": "<string>",
"billing_idempotency_key": "<string>",
"merchant_business_id": 123,
"developer_business_id": 123,
"oauth_authorized_business_id": 123,
"gross_amount": 123,
"platform_fee_amount": 123,
"developer_net_amount": 123,
"currency": "<string>",
"response_status": 123
},
"oauth_application_id": 123,
"oauth_authorized_business_id": 123,
"merchant_business_id": 123,
"developer_business_id": 123
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cursor page size.
x >= 1Opaque cursor for the next page.
Opaque cursor for the previous page.
Filter by OAuth application ID.
Filter by OAuth authorized business/install ID.
Filter by merchant business ID.
Filter by OAuth billing tag.
Filter by OAuth billing action key.
Filter by reservation billing status.
Filter by billing idempotency key.